body {
    padding-top: var(--header-height);
}



.no-scroll {
    overflow: hidden !important;
    height: 100vh;
}




.skeep-header {
    width: 100%;
    padding-inline: 20px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    background: white;
}

/* Mobile header container */
.header-mobile { 
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 5px; /* ✅ equal spacing left & right */
    height: 60px;
}

/* SVG sizing */
.header-mobile svg {
    height: 25px;
    width: auto;
}

/* Left & right groups */
.header-left,
.header-right {
    display: flex;
    align-items: center;
    gap: 10px;
}





.header-center svg{
    width: auto;
    height: 50px;
}




.cart-icon {
    position: relative;
    display: inline-block;
}

.cart-count {
    position: absolute;
    top: -6px;
    right: -6px;
    background: black;
    color: white;
    font-size: 11px;
    font-weight: 600;
    min-width: 18px;
    height: 18px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}




/*......overlay menu box......*/

.overlaymenushadow{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.1s ease;
    z-index: 9990;
}


.overlaymenushadow.active{
    pointer-events: auto;
    opacity: 1;
}

.overlaymenu{
position: fixed;
top: 0;
left: 0;
height: 100vh;
width: 320px;
padding: 30px 20px 0 20px;
background: white;
z-index: 9990;
transform: translateX(-100%);
transition: transform 0.35s ease;
overflow-y: auto;
}



.overlaymenu.active{
    transform: translateX(0);
}

.overlaymenu.slide-out-right {
  transform: translateX(100%);
}



.omenutop{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.omenutop img, .menu-headlist img{
    height: 25px;
    width: auto;
    padding: 0;
}

.omenutop svg, .menu-headlist svg{
    height: 25px;
    width: auto;
    padding: 0;
}

.menu-headlist{
    display: flex;
    flex-direction: column;
    padding: 40px 0 0 0;
    gap: 30px;
}

.menu-headlist p{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 25px;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

.menu-headlist a{
    text-decoration: none;
    color: inherit;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 25px;
    font-weight: 600;
    margin: 0;
    padding: 0;
    cursor: pointer;
}

.menu-headlist li{
display: flex;
justify-content: space-between;
align-items: center;
}

.menu-headlist li.active{
    pointer-events: auto;
}

.menu-headlistClosed, .menu-headlistClosed svg{
    color: grey;
    fill: grey;
}

.back-overlay{
    font-family: Arial, Helvetica, sans-serif ;
    font-size: 15px;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

#childmenu-headlist{
    gap: 20px;
}

.headlist-title{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 25px;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    padding: 5px 0 15px 0;
}

#childmenu-headlist p img{
    height: 40px;
    width: auto;
}

#childmenu-headlist p{
    font-size: 20px;
    font-weight: 500;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

.overlay-tracking{
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 500;
    font-size: 20px;
    padding: 20px 0 20px 0;
    border-top: 2px solid rgb(192, 192, 192);
    border-bottom: 2px solid rgb(192, 192, 192);
}

.overlay-middle{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 23px;
    font-weight: 600;
    margin: 100px 0 50px 0;
}

.overlay-middle p{
    margin: 0;
    color: grey;
}

.overlay-middle a{
    color: black;
}

.overlayMiddleJoin{
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}
.overlayMiddleJoin .btn {
    display: inline-block;
    padding: 10px 12px;
    background: black;
    color: white;
    border: none;
    border-radius: 4px;
    text-decoration: none;
    cursor: pointer;
    font-size: 12px;
}

.overlayMiddleJoin .btn-outline {
    background: white;
    color: black;
    border: 1px solid grey;
}


.overlayMiddleJoin p{
    color: black;
    font: 10px;
}

.overlay-bottom{
    position: absolute;
    left: 0;
    right: 0;
    background-color: black;
    padding: 30px 20px 150px 20px;
}

.overlay-bottom ul{
    padding: 0;
    list-style: none;
    color: white;
    font-size: 20px;
    font-weight: 600;
    display: flex;
    flex-direction: column;
    gap: 20px;
}








































/*........desktop header.......*/
.header-desktop{
    padding: 5px 0;
    margin: 0;

}

.header-desktop a{
    text-decoration: none;
    color: inherit;
}

.hd-topmenu{
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 10px;
}
.hd-header{
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    background: white;

}

.hd-headerLogo svg{
    padding: 0;
    height: 60px;
    width: auto;
}

.hd-headerMenu{
    padding: 0;
    margin-left: 20px;
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 18px;
    font-family: oswald, sans-serif;
    font-weight: 450;
    gap: 10px;
}

.hd-headerUser{
    list-style: none;
    display: flex;
    flex-direction: row;
    margin-left: auto;
    gap: 10px;
    padding: 0;
    
}


.hd-headerUser svg{
    margin: 0;
    padding: 0;
    height: 25px;
    width: auto;
}

.hd-headerMenu li{
    border: 2px solid white;
}

.hd-headerMenu li:hover{
border-bottom: 2px solid black;
cursor: pointer;
}

#hd-headerMenuClosed:hover{
    border-bottom: 2px solid white;
    cursor: text;
}





/*desktop submenu styling*/


.hd-headerSubMenu{
    background: white;
    width: 100%;
    height: 300px;
    padding: 5px 0px 15px 0px;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 100px;
    left: 0;
    position: absolute;
    display: none;

}

.hd-headerSubMenu.active{
    display: flex;
}



.hd-headerSubMenu ul{
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.hd-headerSubMenu a{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.hd-headerSubMenu svg{
    height: 27px;
    width: auto;
}

.hd-headerSubMenuHead{
    font-size: 18px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 700;
}

.hd-headerSubMenuChild{
    font-size: 18px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 300;
    margin-left: 20px;
}

#hd-headerMenuClosed{
    color: grey;
}

.hd-search{
    padding-top: 50px;
    width: 100%;
    height: 200px;
    position: absolute;
    background: white;
    top: 0;
    left: 0;
    display: none;
}

.hdSearch-dimBg{
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    pointer-events: none;
}

.hd-search.active{
    display: flex;
}

.hdSearch-dimBg.active{
    display: flex;
    opacity: .5;
    pointer-events: auto;
}
















/*search svg*/
.hd-headerSearch{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 200px;
    height: 30px;
    padding: 2px 10px;
    background: rgb(211, 211, 211);
    border-radius: 20px;
    font-size: 16px;
    font-weight: 600;
    color: black;
    cursor: text;
}










/*search styling*/

.search-container {
    position: fixed;          /* always relative to viewport */
    inset: 0;                 /* top:0; right:0; bottom:0; left:0 */
    width: 100%;
    height: 100%;
    padding: 20px;
    background-color: white;
    z-index: 9990;
    transform: translateX(-100%);
    transition: transform 0.35s ease;
    overflow-y: auto;
    box-sizing: border-box;
}


.search-container.active{
    transform: translateX(0);
}

.sc-header{
    margin-bottom: 50px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.logoSearchMenu{
    display: none;
}

.logoSearchMenu svg{
    width: 55px;
    height: auto;
}

.sc-header input{
    border: 0;
    height: 35px;
    width: 98%;
    padding: 10px;
    background: none;
    outline: none;
    font-size: 16px;
    font-weight: 600;
    color: black;
}

.sc-header input::placeholder{
    font-size: 16px;
    font-weight: 600;
    color: rgb(139, 139, 139);
}
.sc-header form{
    width: 80%;
}

.sc-input{
    padding: 2px 10px 2px 0;
    border-bottom: 2px solid black;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.sc-input svg, .closeSearchMenu svg{
    width: 25px;
    height: auto;
}

.clearInput{
    display: none;
    cursor: pointer;
}







/*popular search styling*/

.popular-searches h4{
    font-size: 20px;
    font-weight: 600;
    padding-bottom: 20px;
}

.popular-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.popular-list a{
    padding-bottom: 2px;
    text-decoration: none;
    color: rgb(139, 139, 139);
}




.did-you-mean {
  margin-top: 5px;
}

.dym-item {
  padding: 6px 0;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  color: rgb(139, 139, 139);
}

.dym-item:hover {
  background: #eaeaea;
}

.hidden {
    display: none;
}










/*related products*/
/* container */
#related-products-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 2fr));
    gap: 20px;
    margin-top: 50px;
}

/* card */
.related-product-card {
    text-decoration: none;
    padding: 12px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    transition: 0.2s;
}


/* image style */
.related-product-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

/* name */
.related-product-name {
    margin-top: 10px;
    color: #222;
    font-size: 14px;
    font-weight: 600;
    text-align: left;
}







@media (min-width: 1025px) {
    
  .header-mobile {
    display: none !important;
  }

  .search-container{
    padding: 30px;
  }

   .logoSearchMenu{
    display: flex;
}



#related-products-container {
    grid-template-columns: repeat(auto-fit, minmax(150px, 4fr));
    margin-top: 0;
}

}




@media (max-width: 1024px) {


  .header-desktop {
    display: none !important;
  }

}

@media (max-width: 1200px) {
  .hd-headerSearch{
    background: none;
    width: auto;
  }

  .hd-headerSearch p{
    display: none;
  }
}


/* =============================== */
/* Fluid header + capped content   */
/* =============================== */




/* More breathing room on very large screens */
@media (min-width: 1400px) {

    .skeep-header {
        padding-inline: 40px;
    }

    .header-mobile,
    .header-desktop {
        max-width: 1400px;
        margin-inline: auto;
        width: 100%;
    }
}

